Bug 1782555

Summary: Rebase apt package from apt-rpm to Debian's apt
Product: [Fedora] Fedora Reporter: Ben Cotton <bcotton>
Component: Changes TrackingAssignee: Neal Gompa <ngompa13>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 32CC: bcotton, dridi.boukelmoune, ngompa13
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-28 14:30:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1764813    
Bug Blocks:    

Description Ben Cotton 2019-12-11 20:27:40 UTC
This is a tracking bug for Change: Rebase apt package from apt-rpm to Debian's apt
For more details, see: https://fedoraproject.org/wiki/Changes/Move_apt_package_from_RPM_to_DPKG_backend

Currently the apt package in Fedora actually installs apt-rpm, starting with Fedora 32 it will provide the regular apt software backed by DPKG.

Comment 1 Neal Gompa 2019-12-17 01:01:39 UTC
I'm currently doing this...

Comment 2 Neal Gompa 2019-12-17 03:41:34 UTC
This is now code complete as apt-1.9.4 has landed in Rawhide.

Comment 3 Ben Cotton 2020-02-28 16:31:44 UTC
The Code Complete (100% Complete) deadline has passed. If your Change is 100% complete, please set the status of this bug to ON_QA. If you need to defer to Fedora 33, please set the version to rawhide. A list of incomplete changes is being submitted to FESCo for review.

Comment 4 Neal Gompa 2020-02-28 16:42:38 UTC
This is code complete.

Comment 5 Ben Cotton 2020-04-28 14:30:26 UTC
Fedora 32 is released!